﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace CommandProtocol
{
  public abstract class CCommand : CProtocolBase
  { //
    //--------------------------------------------------------------------------
    //  Segment - Constant
    //--------------------------------------------------------------------------
    //

    //
    //--------------------------------------------------------------------------
    //  Segment - Field
    //--------------------------------------------------------------------------
    //
    // NC private String FHeader;

    //
    //--------------------------------------------------------------------------
    //  Segment - Constructor
    //--------------------------------------------------------------------------
    //
    public CCommand(String header)
      : base(header)
    {
    }

    //
    //--------------------------------------------------------------------------
    //  Segment - Property
    //--------------------------------------------------------------------------
    //

  }
}
